/*
 * Copyright (c) 2007 by Brian Marick.
 * Inspired by the Java version of the Hierarchical Data format, from the
 * University of Illinois NCSA and The HDF Group (http://www.hdfgroup.org/).
 * This code is intended for use only for training in test-driven design.
 * See LICENSE.txt
 */


package exampler.hdf.internal;

import java.nio.ByteOrder;

/**
 * Answers to frequently-asked questions.
 *
 */
public interface CompoundDatasetFAQ {
    public int tellHowManyMembers();
    public long tellMemberDimensions();
    public String tellTypeOf(int member);
    public int tellSizeInBytesOf(int member);
    public ByteOrder tellByteOrderOf(int member);
}
