/*
 * Copyright (c) 2007 by Brian Marick.
 * Inspired by the Java version of the Hierarchical Data format, from the
 * University of Illinois NCSA and The HDF Group (http://www.hdfgroup.org/).
 * This code is intended for use only for training in test-driven design.
 * See LICENSE.txt
 */


package exampler.hdf.internal.converters;

import exampler.hdf.internal.NumberDescription;

import java.nio.ByteBuffer;
import java.util.Arrays;

public class LongArray_8Byte_Converter extends Converter {
    public LongArray_8Byte_Converter(NumberDescription description) {
        super(description);
    }

    public boolean equalData(Object one, Object other) {
        return Arrays.equals((long[])one, (long[])other);
    }

    public Object convertToJavaFormat(ByteBuffer source, long lengthOfResult) {
        setByteOrder(source);
        long[] destination = new long[(int)lengthOfResult];
        source.asLongBuffer().get(destination, 0, destination.length);
        return destination;
    }

    public void overwriteAsBytes(Object javaish, ByteBuffer destination) {
        setByteOrder(destination);
        destination.asLongBuffer().put((long[])javaish);
    }

    
}
